Update wallet
curl --request PATCH \
--url https://api.blockradar.co/v1/wallets/{walletId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"description": "This is BNB smart chain testnet master wallet",
"name": "BNB smart chain Master Wallet"
}
'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}"
payload = {
"description": "This is BNB smart chain testnet master wallet",
"name": "BNB smart chain Master Wallet"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'This is BNB smart chain testnet master wallet',
name: 'BNB smart chain Master Wallet'
})
};
fetch('https://api.blockradar.co/v1/wallets/{walletId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"address": "0x947514e4B803e312C312da0F1B41fEDdbe15ae7a",
"blockchain": {
"createdAt": "2024-05-14T11:53:33.106Z",
"derivationPath": "m/44'/60'/0'/0",
"id": "b80d3d5e-16f1-4d99-be5e-6dfcd27f89aa",
"isActive": true,
"isEvmCompatible": true,
"logoUrl": "https://res.cloudinary.com/blockradar/image/upload/v1716800080/crypto-assets/bnb-bnb-logo_e4qdyk.png",
"name": "BNB smart chain",
"slug": "bnb-smart-chain",
"symbol": "bnb",
"tokenStandard": "BEP20",
"updatedAt": "2024-06-14T22:36:43.716Z"
},
"createdAt": "2024-08-22T09:29:11.387Z",
"derivationPath": "m/44'/60'/0'/0/0",
"description": "This is BNB smart chain testnet master wallet",
"id": "4465468a-3c36-4536-918a-91d689e18a74",
"isActive": true,
"name": "BNB smart chain Master Wallet",
"network": "testnet",
"status": "ACTIVE",
"updatedAt": "2024-10-30T06:58:58.716Z"
},
"message": "Wallet updated successfully",
"statusCode": 200
}Update wallet
This endpoint allows you to update the details of a specific wallet
Body Parameters
| Key | Required | Type | Description |
|---|---|---|---|
| name | false | string | The updated name of the wallet. |
| description | false | string | The updated description of the wallet. |
PATCH
/
v1
/
wallets
/
{walletId}
Update wallet
Authorizations
Path Parameters
Example:
"YOUR_WALLET_ID"
Body
application/json
⌘I

